## boswars 2.5

=== SConstruct ===
##     ____                _       __               
##    / __ )____  _____   | |     / /___ ___________
##   / __  / __ \/ ___/   | | /| / / __ `/ ___/ ___/
##  / /_/ / /_/ (__  )    | |/ |/ / /_/ / /  (__  ) 
## /_____/\____/____/     |__/|__/\__,_/_/  /____/  
##                                              
##       A futuristic real-time strategy game.
##          This file is part of Bos Wars.
##
##      SConstruct build file. See http://www.scons.org for info about scons.
##      (c) Copyright 2005-2007 by Francois Beerten
##
##      Stratagus is free software; you can redistribute it and/or modify
##      it under the terms of the GNU General Public License as published
##      by the Free Software Foundation; only version 2 of the License.
##
##      Stratagus is distributed in the hope that it will be useful,
##      but WITHOUT ANY WARRANTY; without even the implied warranty of
##      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##      GNU General Public License for more details.
##
##

import os
import sys
import glob
from stat import *
import filecmp

ccflags = "-fsigned-char"
SConsignFile()

def DefineOptions(filename, args):
   opts = Options(filename, args)
   opts.Add('CPPPATH', 'Additional preprocessor paths', ['/usr/local/include'])
   opts.Add('CPPFLAGS', 'Additional preprocessor flags')
   opts.Add('CPPDEFINES', 'defined constants', Split(''))
   opts.Add('LIBPATH', 'Additional library paths', ['/usr/local/lib'])
   opts.Add('LIBS', 'Additional libraries')
   opts.Add('CCFLAGS', 'C Compiler flags', Split(ccflags))
   opts.Add('LINKFLAGS', 'Linker Compiler flags')
   opts.Add('CC', 'C Compiler')
   opts.Add('CXX', 'C++ Compiler')
   opts.Add('extrapath', 'Path to extra root directory for includes and libs', '')
   opts.Add('MINGWCPPPATH', 'Additional include path for crosscompilation', [])
   opts.Add('MINGWLIBPATH', 'Additional lib path for crosscompilation', [])
   return opts


opts = DefineOptions("build_options.py", ARGUMENTS)
env = Environment(ENV = {'PATH':os.environ['PATH']}) # for an unknown reason Environment(options=opts) doesnt work well
opts.Update(env) # Needed as Environment(options=opts) doesnt seem to work
Help(opts.GenerateHelpText(env))
mingw = env.Copy()
optionsChanged = True
if os.path.exists('build_options.py'):
   os.rename('build_options.py', 'build_options_OLD_FOR_CHECK.py')
   optionsChanged = False
opts.Save("build_options.py", env)
if not optionsChanged:
   optionsChanged  = not filecmp.cmp('build_options.py', 'build_options_OLD_FOR_CHECK.py', False)
   os.remove('build_options_OLD_FOR_CHECK.py')

engineSourceDir = 'engine'

def globSources(sourceDirs, builddir):
  sources = []
  sourceDirs = Split(sourceDirs)
  for d in sourceDirs:
    sources.append(glob.glob(engineSourceDir + '/' + d + '/*.cpp'))
  sources = Flatten(sources)
  targetsources = []
  for s in sources:
    targetsources.append(builddir + s[len(engineSourceDir):])
  return targetsources

def buildSourcesList(builddir):
   sources = globSources("action ai editor game map network particle pathfinder sound stratagus ui unit video tolua", builddir)
   sources.append(globSources("guichan guichan/sdl guichan/widgets", builddir))
   return sources
sourcesEngine = buildSourcesList('build')

def ParseConfig(env, command, function=None):
    import string

    """
    Copied from the scons, copyright 2001-2004 The SCons Foundation.
    Adapted by Francois Beerten to use the exit value of pkg-config.
    """
    # the default parse function
    def parse_conf(env, output):
        dict = {
           'ASFLAGS'       : [],
           'CCFLAGS'       : [],
           'CPPFLAGS'      : [],
           'CPPPATH'       : [],
           'LIBPATH'       : [],
           'LIBS'          : [],
           'LINKFLAGS'     : [],
        }
        static_libs = []

        params = string.split(output)
        for arg in params:
            if arg[0] != '-':
                static_libs.append(arg)
            elif arg[:2] == '-L':
                dict['LIBPATH'].append(arg[2:])
            elif arg[:2] == '-l':
                dict['LIBS'].append(arg[2:])
            elif arg[:2] == '-I':
                dict['CPPPATH'].append(arg[2:])
            elif arg[:4] == '-Wa,':
                dict['ASFLAGS'].append(arg)
            elif arg[:4] == '-Wl,':
                dict['LINKFLAGS'].append(arg)
            elif arg[:4] == '-Wp,':
                dict['CPPFLAGS'].append(arg)
            elif arg == '-pthread':
                dict['CCFLAGS'].append(arg)
                dict['LINKFLAGS'].append(arg)
            else:
                dict['CCFLAGS'].append(arg)
        apply(env.Append, (), dict)
        return static_libs

    if function is None:
        function = parse_conf
    if type(command) is type([]):
        command = string.join(command)
    command = env.subst(command)
    _, f, _ = os.popen3(command)
    read = f.read()
    exitcode = f.close()
    if exitcode == None:
        return (0, function(env, read))
    else:
        return (exitcode, [])

def CheckOpenGL(env, conf):
  opengl = {}
  opengl['linux'] = { 
      'LIBS': ['GL'], 
      'LIBPATH': ['/usr/lib', '/usr/X11R6/lib'],
      'CPPPATH': ['/usr/include']}
  opengl['cygwin'] = {
      'LIBS': ['opengl3']}
  opengl['darwin'] = {
      'LIBS': ['GL'],
      'LIBPATH': ['/System/Library/Frameworks/OpenGL.framework/Libraries/']}
  platform = sys.platform
  if 'USE_WIN32' in env['CPPDEFINES']:
     glconfig = {'LIBS': ['opengl32']}
  else:
     if sys.platform[:5] == 'linux':
        platform = 'linux'
     glconfig = opengl.get(platform, {})
  for key in glconfig:
      if key != 'LIBS':
         for i in opengl[platform][key]:
            env[key].append(i)
  if 'LIBS' in glconfig:
     for lib in glconfig['LIBS']:
         if not conf.CheckLib(lib):
             print("Can't find OpenGL libs. Exiting")
             sys.exit(1)
  return True

def CheckLuaLib(env, conf):
  if not 'USE_WIN32' in env['CPPDEFINES']:
     if env.WhereIs('lua-config'):
        env.ParseConfig('lua-config --include --libs')
     elif env.WhereIs('pkg-config'):
        for packagename in ['lua5.1', 'lua51', 'lua']:
           exitcode, _ = ParseConfig(env, 'pkg-config --cflags --libs ' + packagename)
           if exitcode == 0:
              break
  found = 0
  if conf.CheckLibWithHeader('lua', 'lua.h', 'c'):
    found = 'lua'
  if not found and conf.CheckLibWithHeader('lua50', 'lua.h', 'c'):
    found = 'lua50'
  if not found and conf.CheckLibWithHeader('lua5.0', 'lua.h', 'c'):
    found = 'lua5.0'
  if not found and conf.CheckLibWithHeader('lua51', 'lua.h', 'c'):
    return 1
  if not found and conf.CheckLibWithHeader('lua5.1', 'lua.h', 'c'):
    return 1
  if found == 0:
    return 0

  lualibfound = 0
  if conf.CheckFunc('luaopen_base'):
     return 1
  if conf.CheckLibWithHeader('lualib', 'lualib.h', 'c'):
     lualibfound = 1
  elif conf.CheckLibWithHeader('lualib50', 'lualib.h', 'c'):
     lualibfound = 1
  elif conf.CheckLibWithHeader('lualib5.0', 'lualib.h', 'c'):
     lualibfound = 1
  # the lua library should be after lualib
  env["LIBS"].remove(found)
  env.Append(LIBS = found)
  return lualibfound and found != 0

def AutoConfigure(env):
  conf = Configure(env)

  ## check for required libs ##
  if not conf.CheckLibWithHeader('png', 'png.h', 'c'):
     print 'Did not find png library or headers, exiting!'
     Exit(1)
  if not conf.CheckLibWithHeader('z', 'zlib.h', 'c'):
     print 'Did not find the zlib library or headers, exiting!'
     Exit(1)
  if not 'USE_WIN32' in env['CPPDEFINES'] and not sys.platform.startswith('freebsd'):
     if not conf.CheckLib('dl'):
        print 'Did not find dl library or header which is needed on some systems for lua. Exiting!'
        Exit(1)
  if not CheckLuaLib(env, conf):
     print 'Did not find required lua library. Exiting!'
     Exit(1)
  if not CheckOpenGL(env, conf):
     print 'Did not find required OpenGL library. Exiting!'
     Exit(1)

  # Check for optional libraries #
  if conf.CheckLib('vorbis'):
     env.Append(CPPDEFINES = 'USE_VORBIS')
  if conf.CheckLib('theora'):
     env.Append(CPPDEFINES = 'USE_THEORA')
  if conf.CheckLib('ogg'):
     env.Append(CPPDEFINES = 'USE_OGG')

  # check for optional functions
  if conf.CheckFunc('strcasestr'):
     env.Append(CPPDEFINES = 'HAVE_STRCASESTR')
  if conf.CheckFunc('strnlen'):
     env.Append(CPPDEFINES = 'HAVE_STRNLEN')

  # check for optional headers
  if (conf.CheckHeader('X11/Xlib.h') and conf.CheckHeader('X11/Xatom.h') and
     conf.CheckLib('X11')):
     env.Append(CPPDEFINES = 'HAVE_X')

  # Determine compiler and linker flags for SDL. Must be done at the end 
  # as on some platforms, SDL redefines main which conflicts with the checks.
  if not 'USE_WIN32' in env['CPPDEFINES']:
    env.ParseConfig('sdl-config --cflags')
    env.ParseConfig('sdl-config --libs')
    if sys.platform != "darwin" and not '-Dmain=SDL_main' in env['CCFLAGS']:
       if not conf.CheckLibWithHeader('SDL', 'SDL.h', 'c'):
          print 'Did not find SDL library or headers, exiting!'
          Exit(1)

  env = conf.Finish()

def AutoConfigureIfNeeded(env, name):
   cachename = "build_conf_%scache.py" % name
   if os.path.exists(cachename):  
      if optionsChanged or \
         os.stat(cachename)[ST_MTIME] < os.stat("SConstruct")[ST_MTIME]:
            # Remove outdated cache file
            os.remove(cachename)
   if optionsChanged or not os.path.exists(cachename):
      print cachename + " doesn't exist or out of date."
      print "Generating new build config cache ..."
      cache = DefineOptions(cachename, {})
      AutoConfigure(env)
      cache.Save(cachename, env)
   else:
      cache = DefineOptions(cachename, {})
      print "Using " + cachename
      cache.Update(env)

AutoConfigureIfNeeded(env, '')

def addBosWarsPaths(env):
   # Stratagus build specifics
   env.Append(CPPPATH=engineSourceDir+'/include')
   env.Append(CPPPATH=engineSourceDir+'/guichan/include')
addBosWarsPaths(env)

# define the different build environments (variants)
release = env.Copy()
release.Append(CCFLAGS = Split('-O2 -pipe -fomit-frame-pointer -fexpensive-optimizations -ffast-math'))

if mingw['extrapath']:
  mingw.Tool('crossmingw', toolpath = ['tools/scons/'])
  mingw['CPPDEFINES'] = ['USE_WIN32']
  if mingw['extrapath'] != '':
     x = mingw['extrapath']
     mingw['CPPPATH'] = [x + '/include']
     mingw['LIBPATH'] = [x + '/lib']
  mingw.Append(CPPPATH = mingw['MINGWCPPPATH'])
  mingw.Append(LIBPATH = mingw['MINGWLIBPATH'])
  AutoConfigureIfNeeded(mingw, 'mingw')
  addBosWarsPaths(mingw)
  mingw.Append(LIBS = ['mingw32', 'SDLmain', 'SDL', 'wsock32', 'ws2_32'])
  mingw.Append(LINKFLAGS = ['-mwindows'])
else:
  mingw = None

debug = env.Copy()
debug.Append(CPPDEFINES = 'DEBUG')
debug.Append(CCFLAGS = Split('-g -Wsign-compare -Wall -Werror'))

profile = debug.Copy()
profile.Append(CCFLAGS = Split('-pg'))
profile.Append(LINKFLAGS = Split('-pg'))

staticenv = None
if sys.platform.startswith('linux'):
   staticenv = release.Copy()
   staticlibs = 'lua lua50 lua5.0 lua5.1 lua51 lualib lualib50 lualib5.0 vorbis theora ogg'
   staticlibs = staticlibs.split(' ')
   linkflags = '-L. -static-libgcc -Wl,-Bstatic -lstdc++ '
   for i in staticlibs:
       if i in staticenv['LIBS']:
           linkflags += '-l%s ' % i
           staticenv['LIBS'].remove(i)
   linkflags += '-Wl,-Bdynamic'
   # To successfully link with static libraries with GCC 4.1.2,
   # the static libs must be at the end. This trick enforces it.
   staticenv['STATICLINKFLAGS'] = linkflags.split()
   staticenv['LINKCOM'] += ' $STATICLINKFLAGS'

# Targets
def DefineVariant(venv, v, vv = None):
   if vv == None:
      vv = '-' + v
   BuildDir('build/' + v, engineSourceDir, duplicate = 0)
   r = venv.Program('boswars' + vv, buildSourcesList('build/' + v))
   Alias(v, 'boswars' + vv)
   return r 

r = DefineVariant(release, 'release', '')
Default(r)
DefineVariant(debug, 'debug')

## boswars 2.6.1

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##          This file is part of Bos Wars.
 ##
 ##      SConstruct build file. See http://www.scons.org for info about scons.
-##      (c) Copyright 2005-2007 by Francois Beerten
+##      (c) Copyright 2005-2009 by Francois Beerten
 ##
 ##      Stratagus is free software; you can redistribute it and/or modify
 ##      it under the terms of the GNU General Public License as published
@@ -31,7 +31,7 @@
 SConsignFile()
 
 def DefineOptions(filename, args):
-   opts = Options(filename, args)
+   opts = Variables(filename, args)
    opts.Add('CPPPATH', 'Additional preprocessor paths', ['/usr/local/include'])
    opts.Add('CPPFLAGS', 'Additional preprocessor flags')
    opts.Add('CPPDEFINES', 'defined constants', Split(''))
@@ -41,6 +41,7 @@
    opts.Add('LINKFLAGS', 'Linker Compiler flags')
    opts.Add('CC', 'C Compiler')
    opts.Add('CXX', 'C++ Compiler')
+   opts.Add('LINK', 'Linker')
    opts.Add('extrapath', 'Path to extra root directory for includes and libs', '')
    opts.Add('MINGWCPPPATH', 'Additional include path for crosscompilation', [])
    opts.Add('MINGWLIBPATH', 'Additional lib path for crosscompilation', [])
@@ -51,7 +52,7 @@
 env = Environment(ENV = {'PATH':os.environ['PATH']}) # for an unknown reason Environment(options=opts) doesnt work well
 opts.Update(env) # Needed as Environment(options=opts) doesnt seem to work
 Help(opts.GenerateHelpText(env))
-mingw = env.Copy()
+mingw = env.Clone()
 optionsChanged = True
 if os.path.exists('build_options.py'):
    os.rename('build_options.py', 'build_options_OLD_FOR_CHECK.py')
@@ -81,7 +82,7 @@
 sourcesEngine = buildSourcesList('build')
 
 def ParseConfig(env, command, function=None):
-    import string
+    import subprocess
 
     """
     Copied from the scons, copyright 2001-2004 The SCons Foundation.
@@ -89,7 +90,7 @@
     """
     # the default parse function
     def parse_conf(env, output):
-        dict = {
+        flags = {
            'ASFLAGS'       : [],
            'CCFLAGS'       : [],
            'CPPFLAGS'      : [],
@@ -100,39 +101,39 @@
         }
         static_libs = []
 
-        params = string.split(output)
+        params = output.split()
         for arg in params:
             if arg[0] != '-':
                 static_libs.append(arg)
             elif arg[:2] == '-L':
-                dict['LIBPATH'].append(arg[2:])
+                flags['LIBPATH'].append(arg[2:])
             elif arg[:2] == '-l':
-                dict['LIBS'].append(arg[2:])
+                flags['LIBS'].append(arg[2:])
             elif arg[:2] == '-I':
-                dict['CPPPATH'].append(arg[2:])
+                flags['CPPPATH'].append(arg[2:])
             elif arg[:4] == '-Wa,':
-                dict['ASFLAGS'].append(arg)
+                flags['ASFLAGS'].append(arg)
             elif arg[:4] == '-Wl,':
-                dict['LINKFLAGS'].append(arg)
+                flags['LINKFLAGS'].append(arg)
             elif arg[:4] == '-Wp,':
-                dict['CPPFLAGS'].append(arg)
+                flags['CPPFLAGS'].append(arg)
             elif arg == '-pthread':
-                dict['CCFLAGS'].append(arg)
-                dict['LINKFLAGS'].append(arg)
+                flags['CCFLAGS'].append(arg)
+                flags['LINKFLAGS'].append(arg)
             else:
-                dict['CCFLAGS'].append(arg)
-        apply(env.Append, (), dict)
+                flags['CCFLAGS'].append(arg)
+        apply(env.Append, (), flags)
         return static_libs
 
     if function is None:
         function = parse_conf
-    if type(command) is type([]):
-        command = string.join(command)
-    command = env.subst(command)
-    _, f, _ = os.popen3(command)
-    read = f.read()
-    exitcode = f.close()
-    if exitcode == None:
+    if type(command) is type(""):
+        command = [env.subst(i) for i in command.split()]
+    p = subprocess.Popen(command, shell=False, stdout=subprocess.PIPE,
+                         stderr=subprocess.PIPE)
+    read,_ = p.communicate()
+    exitcode = p.wait()
+    if exitcode == 0:
         return (0, function(env, read))
     else:
         return (exitcode, [])
@@ -168,40 +169,21 @@
 
 def CheckLuaLib(env, conf):
   if not 'USE_WIN32' in env['CPPDEFINES']:
-     if env.WhereIs('lua-config'):
-        env.ParseConfig('lua-config --include --libs')
-     elif env.WhereIs('pkg-config'):
+     if env.WhereIs('pkg-config'):
         for packagename in ['lua5.1', 'lua51', 'lua']:
-           exitcode, _ = ParseConfig(env, 'pkg-config --cflags --libs ' + packagename)
+           exitcode,_ = ParseConfig(env, 'pkg-config --cflags --libs ' + packagename)
            if exitcode == 0:
               break
-  found = 0
-  if conf.CheckLibWithHeader('lua', 'lua.h', 'c'):
-    found = 'lua'
-  if not found and conf.CheckLibWithHeader('lua50', 'lua.h', 'c'):
-    found = 'lua50'
-  if not found and conf.CheckLibWithHeader('lua5.0', 'lua.h', 'c'):
-    found = 'lua5.0'
-  if not found and conf.CheckLibWithHeader('lua51', 'lua.h', 'c'):
+  if conf.CheckLibWithHeader('lua51', 'lua.h', 'c'):
     return 1
-  if not found and conf.CheckLibWithHeader('lua5.1', 'lua.h', 'c'):
+  if conf.CheckLibWithHeader('lua5.1', 'lua.h', 'c'):
     return 1
-  if found == 0:
+  if not conf.CheckLibWithHeader('lua', 'lua.h', 'c'):
     return 0
-
-  lualibfound = 0
+  # make sure we have lualib which is included in lua 5.1
   if conf.CheckFunc('luaopen_base'):
      return 1
-  if conf.CheckLibWithHeader('lualib', 'lualib.h', 'c'):
-     lualibfound = 1
-  elif conf.CheckLibWithHeader('lualib50', 'lualib.h', 'c'):
-     lualibfound = 1
-  elif conf.CheckLibWithHeader('lualib5.0', 'lualib.h', 'c'):
-     lualibfound = 1
-  # the lua library should be after lualib
-  env["LIBS"].remove(found)
-  env.Append(LIBS = found)
-  return lualibfound and found != 0
+  return 0
 
 def AutoConfigure(env):
   conf = Configure(env)
@@ -282,7 +264,7 @@
 addBosWarsPaths(env)
 
 # define the different build environments (variants)
-release = env.Copy()
+release = env.Clone()
 release.Append(CCFLAGS = Split('-O2 -pipe -fomit-frame-pointer -fexpensive-optimizations -ffast-math'))
 
 if mingw['extrapath']:
@@ -301,17 +283,17 @@
 else:
   mingw = None
 
-debug = env.Copy()
+debug = env.Clone()
 debug.Append(CPPDEFINES = 'DEBUG')
 debug.Append(CCFLAGS = Split('-g -Wsign-compare -Wall -Werror'))
 
-profile = debug.Copy()
+profile = debug.Clone()
 profile.Append(CCFLAGS = Split('-pg'))
 profile.Append(LINKFLAGS = Split('-pg'))
 
 staticenv = None
 if sys.platform.startswith('linux'):
-   staticenv = release.Copy()
+   staticenv = release.Clone()
    staticlibs = 'lua lua50 lua5.0 lua5.1 lua51 lualib lualib50 lualib5.0 vorbis theora ogg'
    staticlibs = staticlibs.split(' ')
    linkflags = '-L. -static-libgcc -Wl,-Bstatic -lstdc++ '
@@ -337,3 +319,13 @@
 r = DefineVariant(release, 'release', '')
 Default(r)
 DefineVariant(debug, 'debug')
+DefineVariant(profile, 'profile')
+if staticenv:
+   stdlibcxx = staticenv.Command('libstdc++.a', None, 
+          Action('ln -sf `%s -print-file-name=libstdc++.a`' % staticenv['CXX']))
+   # staticenv.Append(LIBS = [stdlibcxx])   <= does not work with scons 0.96.1
+   prog = DefineVariant(staticenv, 'static')
+   staticenv.Depends(prog, stdlibcxx)
+if mingw:
+   DefineVariant(mingw, 'mingw', '.exe')
+

=== debian/changelog ===
boswars (2.6.1-2) unstable; urgency=low

  * Switched to DH.
  * Enforce building with Lua 5.1, as requested by buildsys (Closes:
    #585672).
  * Removed KiBi from uploaders (requested by himself).
  * Stopped uselessly suggesting python (Closes: #568330).
  * Added patch from KiBi to add buildsys support to kfreebsd-*
    architectures (Closes: #585673).
  * Added patch from Kalle Olavi Niemitalo <kon@iki.fi> to disable SDL
    mouse relative mode causing problems with tablets and similar input
    devices (Closes: #559615).
  * Bumped Standards-Version to 3.9.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 07 Jul 2010 03:45:44 +0200

boswars (2.6.1-1) unstable; urgency=low

  [ Barry deFreese]
  * Update Cyril Brulebois e-mail address.

  [ Marc Dequènes (Duck) ]
  * Added myself to Uploaders, with KiBi and bddebian's blessing.
  * New upstream release (Closes: #566119, #473673):
    - removed all patches, now obsolete (and patchsystem call).
  * Installed new map 'patches' directory in boswars-data.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Bumped Standards-Version (no changes).
  * Added missing ${misc:Depends} for 'boswars-data'.
  * Switched compat level to 7 (switched to dh_prep in rules).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Jun 2010 23:14:08 +0200

boswars (2.5-2) unstable; urgency=low

  [ Barry deFreese ]
  * 20_fix_ftbfs_with_gcc-4.4.diff - Build with gcc-4.4. (Closes: #505080).
    + Thanks to Martin Michlmayr for the fix!
  * debian/copyright: Add info for DeJavu files. (Closes: #528946).
  * Add myself to uploaders.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 14 Jul 2009 11:51:52 -0400

boswars (2.5-1) unstable; urgency=low

  * New upstream release.
  * Update copyright and license information since that release is
    DFSG-compliant:
     - Not repacking anymore, “*.dll” files were removed from the upstream
       tarball:
        - Update debian/copyright accordingly.
        - Drop debian/README.Debian-source.
        - Drop the get-orig-source target and the UPSTREAM_VERSION
          variable from debian/rules.
        - Drop version mangling in debian/watch.
     - Mention in debian/copyright the mails from tolua++ and tolua
       authors, which agreed to switch to the lua license (MIT) for their
       software, included in this source package.
     - Update all other copyright and license information, while switching
       to the proposed machine-readable copyright format. Also point to
       the GPL-2 explicitely, since some parts are GPL-2 and some others
       are GPL-2+, as clarified by upstream in COPYRIGHT.txt, which gets
       fully quoted in debian/copyright.
  * Patches:
     - Drop 10_lua_const_char.diff, no longer relevant.
     - Add 10_fix_ftbfs_with_gcc-4.3.diff, which fixes missing includes
       and prevents FTBFS with gcc-4.3.
     - Make build-arch and build-indep depend on “patch” so that the
       series is actually applied.
  * debian/control: Make the first long description only contain full
    sentences.
  * debian/rules: Minor tweaks to the build system. Mostly: no longer ship
    makesame.py and updatepo.sh, they're deleted from the target directory
    along with genpot.sh.
  * debian/boswars-data.install: Replace “video” with “intro” to follow
    upstream's changes.
  * debian/boswars.6: Minor tweak. Mention needed work in debian/TODO.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 17 Mar 2008 02:59:28 +0100

boswars (2.4.1.dfsg-1) unstable; urgency=low

  [ Cyril Brulebois]
  * Initial release (Closes: #437382).
  * Repack because of included “.dll” files.
  * Notes:
     - Upstream says both lua5.0 and lua5.1 should be fine, hence the
       alternative in Build-Depends.
     - No menu icon yet, since upstream's .ico seems not to be representative
       of the game.
  * Add Homepage entry to debian/control, use Vcs-*.
  * Add get-orig-source target to debian/rules, based on Barry's, and a bit
    more generic (independent of the version number).
  * Copy and rename an icon from the source, to be used as desktop icon.
  * Bump Standards-Version to 3.7.3 (no change needed).
  * Remove unneeded configure* targets.
  * Add a TODO file (its current content is about desktop icon, and CFLAGS not
    being honoured).
  * Adjust the copyright file: Add copyright holders Francois Berteen and
    Jimmy Salmon to make sure (although they are members of the core team).
  * Add an explicit Build-Depends on pkg-config.
  * Add a Build-Depends on libtheora-dev, which is recommended but not
    required (and this is why its being missing wasn't spotted before).
  * Tweak UPSTREAM_VERSION handling to support binNMUs.

  [ Barry deFreese ]
  * New upstream release (from 2.4 to 2.4.1).
  * Add desktop file.
  * Remove dh_make comments from rules file.
  * New files: debian/ boswars.{dirs,install}, boswars-data.{dirs,install}.
  * Call dh_desktop.
  * Remove opengl=0 from scons build. (OpenGL support is now run-time option.)
  * Update -data package description.
  * Remove unnecessary files from binary package.
  * Add quilt patch system.
  * 10_lua_const_char.diff
    + Fix char* -> const char* issues in lua code.
  * Add README.Debian-source to describe repack.
  * Update watch file to mangle dfsg version.

  [ Paul Wise ]
  * Fix typo in debian/copyright

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 12 Dec 2007 04:05:05 +0100

=== debian/control ===
Source: boswars
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>, Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: debhelper (>= 7.0.50), scons, libpng12-dev, libsdl1.2-dev, libvorbis-dev, liblua5.1-0-dev, pkg-config, libtheora-dev
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/boswars/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/boswars/?op=log
Homepage: http://www.boswars.org/

Package: boswars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, boswars-data (= ${source:Version})
Description: futuristic real-time strategy game
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 OpenGL support is available as a run-time configuration option.

Package: boswars-data
Architecture: all
Depends: ${misc:Depends}
Description: Images, data, and music files for Bos Wars
 This package includes the images, data files, and music for the Bos Wars
 real-time-strategy game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CCFLAGS=-DSTRATAGUS_LIB_PATH=\\\"/usr/share/games/boswars\\\"

%:
	dh $@

override_dh_auto_build:
	scons CCFLAGS=$(CCFLAGS)

override_dh_auto_install:

override_dh_install:
	# Copy (and rename) an icon to be used as desktop file
	cp units/tank/ico_tank.png debian/boswars.png
	# Default action
	dh_install
	# Remove unneeded files.
	for i in genpot.sh makesame.py updatepo.sh ; do \
		rm -f debian/boswars-data/usr/share/games/boswars/languages/$$i ; \
	done
	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*

clean:
	scons -c
	# Additional icon (see build-indep-stamp)
	rm  -f debian/boswars.png
	# Scons is stupid and leaves them behind no matter what.
	rm  -f .sconsign.dblite
	rm -rf .sconf_temp
	rm  -f build_conf_cache.py build_options.py config.log

## boswars 2.7

=== debian/changelog ===
boswars (2.7-1) unstable; urgency=low

  * New upstream release.
  * Removed following patches, now applied upstream:
    - buildsys_gnukfreebsd_support
    - sdl_disable_mouse_relative_mode
  * Adapted rules as final binary was relocated and renamed.
  * Updated copyright file.
  * Added hardening build flags, with a buildsys fix to merge flags
    correctly (buildsys_flags_fix.patch).
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 18 Jun 2013 22:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>, Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper (>= 7.0.50), scons, libpng12-dev, libsdl1.2-dev, libvorbis-dev, liblua5.1-0-dev, pkg-config, libtheora-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/boswars/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/boswars/?op=log
 Homepage: http://www.boswars.org/

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,24 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-CCFLAGS=-DSTRATAGUS_LIB_PATH=\\\"/usr/share/games/boswars\\\"
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CCFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -DSTRATAGUS_LIB_PATH=\"/usr/share/games/boswars\"
+export LINKFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	scons CCFLAGS=$(CCFLAGS)
+	scons CPPFLAGS='$(CPPFLAGS)' CCFLAGS='$(CCFLAGS)' LINKFLAGS='$(LINKFLAGS)'
 
 override_dh_auto_install:
 
 override_dh_install:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
+	# rename binary
+	mv build/boswars-release build/boswars
 	# Default action
 	dh_install
 	# Remove unneeded files.

=== debian/watch ===
version=3

http://www.boswars.org/download.shtml dist/releases/boswars-([0-9.]*)-src\.tar\.gz

## boswars 2.7%2Bsvn160110

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,16 @@
 %:
 	dh $@
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	scons CPPFLAGS='$(CPPFLAGS)' CCFLAGS='$(CCFLAGS)' LINKFLAGS='$(LINKFLAGS)'
+	# rename binary
+	mv build/boswars-release build/boswars
 
 override_dh_auto_install:
 
 override_dh_install:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
-	# rename binary
-	mv build/boswars-release build/boswars
 	# Default action
 	dh_install
 	# Remove unneeded files.
@@ -27,13 +27,21 @@
 	done
 	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
 	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
+	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
 
-clean:
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod a-x debian/boswars-data/usr/share/games/boswars/campaigns/swindler/*
+	chmod a-x debian/boswars-data/usr/share/games/boswars/maps/tokelau.map/presentation.smp
+
+override_dh_clean:
+	dh_clean
 	scons -c
 	# Additional icon (see build-indep-stamp)
-	rm  -f debian/boswars.png
+	$(RM) debian/boswars.png
 	# Scons is stupid and leaves them behind no matter what.
-	rm  -f .sconsign.dblite
-	rm -rf .sconf_temp
-	rm  -f build_conf_cache.py build_options.py config.log
+	$(RM) .sconsign.dblite
+	$(RM) .sconf_temp
+	$(RM) build_conf_cache.py build_options.py config.log
+	$(RM) build/boswars

## boswars 2.7+svn160110

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##          This file is part of Bos Wars.
 ##
 ##      SConstruct build file. See http://www.scons.org for info about scons.
-##      (c) Copyright 2005-2009 by Francois Beerten
+##      (c) Copyright 2005-2013 by Francois Beerten
 ##
 ##      Stratagus is free software; you can redistribute it and/or modify
 ##      it under the terms of the GNU General Public License as published
@@ -153,7 +153,7 @@
   if 'USE_WIN32' in env['CPPDEFINES']:
      glconfig = {'LIBS': ['opengl32']}
   else:
-     if sys.platform[:5] == 'linux':
+     if sys.platform[:5] == 'linux' or sys.platform.startswith('gnukfreebsd'):
         platform = 'linux'
      glconfig = opengl.get(platform, {})
   for key in glconfig:
@@ -292,7 +292,7 @@
 profile.Append(LINKFLAGS = Split('-pg'))
 
 staticenv = None
-if sys.platform.startswith('linux'):
+if sys.platform.startswith('linux') or sys.platform.startswith('gnukfreebsd'):
    staticenv = release.Clone()
    staticlibs = 'lua lua50 lua5.0 lua5.1 lua51 lualib lualib50 lualib5.0 vorbis theora ogg'
    staticlibs = staticlibs.split(' ')
@@ -312,11 +312,11 @@
    if vv == None:
       vv = '-' + v
    BuildDir('build/' + v, engineSourceDir, duplicate = 0)
-   r = venv.Program('boswars' + vv, buildSourcesList('build/' + v))
+   r = venv.Program('build/boswars' + vv, buildSourcesList('build/' + v))
    Alias(v, 'boswars' + vv)
    return r 
 
-r = DefineVariant(release, 'release', '')
+r = DefineVariant(release, 'release')
 Default(r)
 DefineVariant(debug, 'debug')
 DefineVariant(profile, 'profile')

=== debian/changelog ===
boswars (2.7+svn160110-5) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Team upload.
  * Fix build with Python3-enabled scons versions (Closes: #947554)
  * Extend description of data package.
  * Update debhelper compat to 12.
  * Replace broken png image.
    Thanks to Alexander Kuznetsov and Steve the Fiddle for providing
    fixed versions. (Closes: #927916, #944900)
  * Update Standards-Version to 4.5.0:
    - declare that d/rules does not require root

 -- Markus Koschany <apo@debian.org>  Sun, 02 Feb 2020 19:52:49 +0100

boswars (2.7+svn160110-4) unstable; urgency=medium

  * Fixed VCS URLs (mistake in previous upload).
  * Added multiarch information.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 16 Apr 2018 10:02:19 +0900

boswars (2.7+svn160110-3) unstable; urgency=medium

  * Updated VCS URLs (Alioth->Salsa).
  * Use HTTPS URLs in Debian metadata.
  * Reworked copyright file to use the DEP-5 format V1.0, and updated
    copyright info for Debian contributions.
  * Bumped Standards-Version.
  * Priority 'extra' is deprecated, switch to 'optional'.
  * Bump debhelper compatibility level to 11.
  * Only call Scons in clean rule if generated files remain.
  * Unapply patches after build.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 12 Apr 2018 17:08:06 +0900

boswars (2.7+svn160110-2) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm. Remove imagemagick from Build-Depends,
    no longer needed.
  * Add reproducible-build.patch and make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #827112)

 -- Markus Koschany <apo@debian.org>  Sun, 16 Jul 2017 16:04:03 +0200

boswars (2.7+svn160110-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 2.7+svn160110.
    - Fixes various display issues with libpng16.
  * wrap-and-sort -sa.
  * Remove liblua5.1-dev from Build-Depends again.
  * debian/rules: Convert clean target into dh_clean override and ensure the
    package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Jan 2016 21:01:53 +0100

boswars (2.7-2) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Markus Koschany ]
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.6.
  * Switch from B-D libpng12-dev to libpng-dev. (Closes: #662276)
  * Add liblua5.1-dev to Build-Depends.
  * debian/control: Add imagemagick to Build-Depends-Indep.
  * debian/rules: Convert desktop file icon to boswars.xpm and use it as menu
    icon. Install it with boswars-data.install to /usr/share/pixmaps.
  * Update boswars.menu. Add longtitle and icon entry. (Closes: #726214)
  * Remove extra license file from /usr/share/doc and fix Lintian warning.
  * Fix Lintian warning executable-not-elf-or-script in dh_fixperms override.
  * Rename boswars binary in dh_auto_build-arch override to prevent a FTBFS
    with source only uploads.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Nov 2015 23:41:07 +0100

=== debian/control ===
Source: boswars
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends:
 debhelper-compat (= 12),
 liblua5.1-0-dev,
 libpng-dev,
 libsdl1.2-dev,
 libtheora-dev,
 libvorbis-dev,
 pkg-config,
 scons
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/boswars
Vcs-Git: https://salsa.debian.org/games-team/boswars.git
Homepage: https://www.boswars.org/

Package: boswars
Architecture: any
Depends:
 boswars-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: futuristic real-time strategy game
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 OpenGL support is available as a run-time configuration option.

Package: boswars-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Images, data, and music files for Bos Wars
 Bos Wars is a futuristic real-time strategy game. It is possible to play
 against human opponents over local network (LAN), internet, or against the
 computer.
 .
 This package includes the images, data files, and music for the Bos Wars
 real-time-strategy game.

=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,23 @@
 
 override_dh_auto_install:
 
-override_dh_install:
+override_dh_install-arch:
 	# Copy (and rename) an icon to be used as desktop file
 	cp units/tank/ico_tank.png debian/boswars.png
 	# Default action
-	dh_install
+	dh_install --arch
+	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
+	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
+	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
+
+override_dh_install-indep:
+	dh_install --indep
 	# Remove unneeded files.
 	for i in genpot.sh makesame.py updatepo.sh ; do \
 		rm -f debian/boswars-data/usr/share/games/boswars/languages/$$i ; \
 	done
-	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
-	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
-	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt
+	# Replace broken terrain.png
+	cp debian/antarticum-terrain.png debian/boswars-data/usr/share/games/boswars/maps/antarticum.map/terrain.png
 
 override_dh_fixperms-indep:
 	dh_fixperms
@@ -36,7 +41,7 @@
 
 override_dh_clean:
 	dh_clean
-	scons -c
+	[ ! -f .sconsign.dblite ] || scons -c
 	# Additional icon (see build-indep-stamp)
 	$(RM) debian/boswars.png
 	# Scons is stupid and leaves them behind no matter what.
@@ -44,4 +49,3 @@
 	$(RM) .sconf_temp
 	$(RM) build_conf_cache.py build_options.py config.log
 	$(RM) build/boswars
-

=== debian/watch ===
version=3

https://www.boswars.org/download.shtml dist/releases/boswars-([0-9.]*)-src\.tar\.gz

## boswars 2.8

=== debian/changelog ===
boswars (2.8-2) unstable; urgency=medium

  * FTBFS: redo split -arch vs -any,
    add an explicit dependency on python3:any (Closes: #1040763)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 09 Jul 2023 21:49:11 +0200

boswars (2.8-1) unstable; urgency=medium

  * Team upload.
  * Support for SCons has been removed upstream, drop SCons-related patches.
  * The new build system is based on fabricate.py.
  * Update standards version to 4.6.2, no changes needed.
  * watch file: declare compatibility with v4
  * the broken .png has been fixed upstream, remove our copy
  * lintian: ignore typos we cannot do anything about
  * languages/: do not install and then delete these 3 extraneous files
  * trim d/rules by using standard buildflags.mk

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 08 Jul 2023 04:20:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Barry deFreese <bdefreese@debian.org>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+Build-Depends-Arch:
+ python3:any,
  liblua5.1-0-dev,
  libpng-dev,
  libsdl1.2-dev,
  libtheora-dev,
  libvorbis-dev,
- pkg-config,
- scons
-Standards-Version: 4.5.0
+ pkgconf,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/boswars
 Vcs-Git: https://salsa.debian.org/games-team/boswars.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DATA = -DSTRATAGUS_LIB_PATH=\"/usr/share/games/boswars\"

%:
	dh $@

# https://codeberg.org/boswars/boswars/wiki/PackagingTips
override_dh_auto_build-arch:
	# https://codeberg.org/boswars/boswars/commit/5cb645f8c55b536f0027314aac9216a200315708
	sed -i '/os.stat_float_times/d' fabricate.py
	./make.py cflags="$(CPPFLAGS) $(CFLAGS) $(DATA)" ldflags="$(LDFLAGS)"

execute_after_dh_install-arch:
	# Copy (and rename) an icon to be used as desktop file
	mkdir -p debian/boswars/usr/share/pixmaps/
	cp units/tank/ico_tank.png debian/boswars/usr/share/pixmaps/boswars.png
	rm -f debian/boswars/usr/share/doc/boswars/html/README-SDL.txt
	rm -f debian/boswars/usr/share/doc/boswars/html/*copyright*
	rm -f debian/boswars/usr/share/doc/boswars/html/gpl3.txt

execute_after_dh_install-indep:
	# https://codeberg.org/boswars/boswars/commit/4586e5a8bd120ab1168100e459e6991420c9e24b
	iconv -f ISO-8859-1 -t UTF-8 units/corpses/unit-corpses.lua -o debian/boswars-data/usr/share/games/boswars/units/corpses/unit-corpses.lua
	iconv -f ISO-8859-1 -t UTF-8 units/gturret/unit-gturret.lua -o debian/boswars-data/usr/share/games/boswars/units/gturret/unit-gturret.lua
